EMF::EMRPOLYPOLYGON16(3)

NAME
EMF::EMRPOLYPOLYGON16 - EMF Poly Polygon16.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRPOLYPOLYLINE16.

  Public Member Functions

EMRPOLYPOLYGON16 (const RECTL *bounds, const POINT *points, const INT *counts, UINT polygons)
EMRPOLYPOLYGON16 (const RECTL *bounds, const POINT16 *points, const INT *counts, UINT16 polygons)
~EMRPOLYPOLYGON16 ()
EMRPOLYPOLYGON16 (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Public Member Functions inherited from EMF::METARECORD
virtual ~METARECORD ()

Detailed Description

EMF Poly Polygon16.

Draw several filled polygons (with 16-bit points).

Constructor & Destructor Documentation

  EMF::EMRPOLYPOLYGON16::EMRPOLYPOLYGON16 (const RECTL * bounds, const POINT * points, const INT * counts, UINT polygons) [inline]

Parameters
    bounds overall bounding box of polygon.
    points array of polygon vertices.
    counts array of number of vertices in each polygon.
    polygons number of polygons.

  EMF::EMRPOLYPOLYGON16::EMRPOLYPOLYGON16 (const RECTL * bounds, const POINT16 * points, const INT * counts, UINT16 polygons) [inline]
Additional constructor which takes a POINT16 structure.

Parameters
    bounds overall bounding box of polygon.
    points array of polygon vertices.
    counts array of number of vertices in each polygon.
    polygons number of polygons.

  EMF::EMRPOLYPOLYGON16::~EMRPOLYPOLYGON16 () [inline]
Destructor frees a copy of the counts and points it buffered.

  EMF::EMRPOLYPOLYGON16::EMRPOLYPOLYGON16 (DATASTREAM & ds) [inline]
Construct a Polygon record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRPOLYPOLYGON16::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRPOLYPOLYGON16::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRPOLYPOLYGON16::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.